Scilab Function

lcmdiag - factorisation diagonale par le plus petit commun multiple

### Calling Sequence

  `[N,D]=lcmdiag(H)`
  `[N,D]=lcmdiag(H,flag)`

### Parameters

- `H` : matrice de polynômes
- `N` : matrice de polynômes
- `D` : matrice diagonale de polynômes
- `flag` : chaîne de caractères : `'row'` ou `'col'` (par défaut)

### Description

`[kN,D]=lcmdiag(H,'row')` calcule une factorisation `D*H=N` , i.e. H=D^(-1)*N où D est une matrice diagonale avec D(k,k)=ppcm de la k-ième ligne de H.den .

`[N,D]=lcmdiag(H)` ou `[N,D]=lcmdiag(H,'col)` renvoie H=N*D^(-1) avec D diagonale et D(k,k)=ppcm de ma k-ième colonne de H.den .

### Examples

    s=poly(0,'s');
    H=[1/s,(s+2)/s/(s+1)^2;1/(s^2*(s+2)),2/(s+2)];
    [N,D]=lcmdiag(H);
    N/D-H

### See Also

`lcm` , `gcd` , `bezout` ,